Debian Bug report logs - #651019
add Multi-arch support

version graph

Package: taglib; Maintainer for taglib is Modestas Vainius <modax@debian.org>;

Reported by: Kees Cook <kees@debian.org>

Date: Mon, 5 Dec 2011 01:36:02 UTC

Severity: normal

Tags: patch

Found in version 1.7-1

Fixed in version taglib/1.7-2

Done: Modestas Vainius <modax@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Modestas Vainius <modax@debian.org>:
Bug#651019; Package taglib. (Mon, 05 Dec 2011 01:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Cook <kees@debian.org>:
New Bug report received and forwarded. Copy sent to Modestas Vainius <modax@debian.org>. (Mon, 05 Dec 2011 01:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kees Cook <kees@debian.org>
To: Debian Bugs <submit@bugs.debian.org>
Subject: add Multi-arch support
Date: Sun, 4 Dec 2011 17:34:26 -0800
[Message part 1 (text/plain, inline)]
Package: taglib
Version: 1.7-1
Severity: normal
Tags: patch

This patch provides Multi-Arch support for the release goal, which we
worked on at the Portland Bug Squashing Party today.

Thanks!

-Kees

-- 
Kees Cook                                            @debian.org
[taglib_1.7-2.debdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, 651019-submitter@bugs.debian.org, Modestas Vainius <modax@debian.org>:
Bug#651019; Package taglib. (Tue, 06 Dec 2011 02:30:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
Extra info received and forwarded to list. Copy sent to 651019-submitter@bugs.debian.org, Modestas Vainius <modax@debian.org>. (Tue, 06 Dec 2011 02:30:12 GMT) Full text and rfc822 format available.

Message #10 received at 651019@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: Debian Bug Tracking System <651019@bugs.debian.org>
Subject: Re: add Multi-arch support
Date: Mon, 05 Dec 2011 18:26:11 -0800
[Message part 1 (text/plain, inline)]
Package: taglib
Version: 1.7-1
Followup-For: Bug #651019
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu precise ubuntu-patch

Hi guys,

Here's an alternative patch for multiarch support.  Relevant differences:

 - libtag1-dev is also marked Multi-Arch: same; in discussing with Kees,
   this seems to have been an oversight.
 - instead of rewriting debian/libtag1-rusxmms.install at build-time, we
   can override dh_install to pass a --sourcedir option, which I think is
   a bit more elegant.
 - instead of hard-coding DEB_HOST_MULTIARCH into CMakeLists.txt, I suggest
   that we just drop the FORCE argument to set(LIB_INSTALL_DIR [...]).
   This lets us override this directory directly on the commandline, and
   is IMHO sensible in its own right.

I'm uploading this version of the patch to Ubuntu.

Thanks for considering!

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[taglib_1.7-1ubuntu1.debdiff (text/x-diff, attachment)]

Message sent on to Kees Cook <kees@debian.org>:
Bug#651019. (Tue, 06 Dec 2011 02:33:07 GMT) Full text and rfc822 format available.

Reply sent to Modestas Vainius <modax@debian.org>:
You have taken responsibility. (Sun, 19 Feb 2012 21:18:16 GMT) Full text and rfc822 format available.

Notification sent to Kees Cook <kees@debian.org>:
Bug acknowledged by developer. (Sun, 19 Feb 2012 21:18:16 GMT) Full text and rfc822 format available.

Message #18 received at 651019-close@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: 651019-close@bugs.debian.org
Subject: Bug#651019: fixed in taglib 1.7-2
Date: Sun, 19 Feb 2012 21:14:34 +0000
Source: taglib
Source-Version: 1.7-2

We believe that the bug you reported is fixed in the latest version of
taglib, which is due to be installed in the Debian FTP archive:

libtag1-dev_1.7-2_amd64.deb
  to main/t/taglib/libtag1-dev_1.7-2_amd64.deb
libtag1-doc_1.7-2_all.deb
  to main/t/taglib/libtag1-doc_1.7-2_all.deb
libtag1-rusxmms_1.7-2_amd64.deb
  to main/t/taglib/libtag1-rusxmms_1.7-2_amd64.deb
libtag1-vanilla_1.7-2_amd64.deb
  to main/t/taglib/libtag1-vanilla_1.7-2_amd64.deb
libtag1c2a_1.7-2_amd64.deb
  to main/t/taglib/libtag1c2a_1.7-2_amd64.deb
libtagc0-dev_1.7-2_amd64.deb
  to main/t/taglib/libtagc0-dev_1.7-2_amd64.deb
libtagc0_1.7-2_amd64.deb
  to main/t/taglib/libtagc0_1.7-2_amd64.deb
taglib_1.7-2.debian.tar.gz
  to main/t/taglib/taglib_1.7-2.debian.tar.gz
taglib_1.7-2.dsc
  to main/t/taglib/taglib_1.7-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 651019@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Modestas Vainius <modax@debian.org> (supplier of updated taglib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 19 Feb 2012 21:47:28 +0200
Source: taglib
Binary: libtag1c2a libtag1-vanilla libtag1-rusxmms libtag1-dev libtag1-doc libtagc0 libtagc0-dev
Architecture: source amd64 all
Version: 1.7-2
Distribution: unstable
Urgency: low
Maintainer: Modestas Vainius <modax@debian.org>
Changed-By: Modestas Vainius <modax@debian.org>
Description: 
 libtag1-dev - audio meta-data library - development files
 libtag1-doc - audio meta-data library - API documentation
 libtag1-rusxmms - audio meta-data library - RusXMMS flavour
 libtag1-vanilla - audio meta-data library - vanilla flavour
 libtag1c2a - audio meta-data library
 libtagc0   - audio meta-data library - C bindings
 libtagc0-dev - audio meta-data library - development files for C bindings
Closes: 651019 656226
Changes: 
 taglib (1.7-2) unstable; urgency=low
 .
   * Backport some fixes from upstream repository: (Closes: #656226)
     - fix segfault when parsing some ID3v2 tags (patch
       backport_id3v2_null_pointer.diff);
     - partial protection against broken WMA files (patch
       backport_protection_against_broken_wma_files.diff).
   * Add Multi-arch support. (Closes: #651019) Implementation is mostly based on
     the patch from Steve Langasek. The only difference is bumping debhelper
     build dependency to 9.
   * Pass visibility options via DEB_{CFLAGS,CXXFLAGS}_MAINT_APPEND in order to
     inherit default flags from dh/dpkg-buildflags. This needs dpkg-dev 1.16.1
     hence build depend on it.
   * Enable parallel building.
   * Update symbol file.
   * Remove debian/libtag1-doc.lintian-overrides, no longer needed.
Checksums-Sha1: 
 03aa7e34f9f6b55e99d92fcdd10d33ef5b3f5b6e 1603 taglib_1.7-2.dsc
 2b20383cef6f6293c25b783755883da136675d60 28116 taglib_1.7-2.debian.tar.gz
 330e1065fc67dd6e4849d02ec9dad5c1c6fc78d4 8876 libtag1c2a_1.7-2_amd64.deb
 4b6e6cca6d82d09a0caf35b32b2d053fde999c5a 243276 libtag1-vanilla_1.7-2_amd64.deb
 08ea0d72d21f2ae04fd60e4799cd4f48f128afb9 246032 libtag1-rusxmms_1.7-2_amd64.deb
 e50273ea400bcc2a9a67cb37a427d8f25f823f46 80570 libtag1-dev_1.7-2_amd64.deb
 6995067e1f876c9cda9c40132bd0f3c5be972a60 5585662 libtag1-doc_1.7-2_all.deb
 0d3c65b9ed0cd153cfc369c642daa676acf22c6a 14770 libtagc0_1.7-2_amd64.deb
 6d50490f2d01ce0b18a4834fc32125d093f31b50 11922 libtagc0-dev_1.7-2_amd64.deb
Checksums-Sha256: 
 aba1080d98f7ca6cc49edb66bbb06b678cceacbe705264712c7cceb6c0687a73 1603 taglib_1.7-2.dsc
 c4a191262cd8a9b1676c7c23a20cdd1180337951ac39513743f03ad858acc407 28116 taglib_1.7-2.debian.tar.gz
 e94e2d3528b60fd5b7249f56330e3a23a660047038be4df848b5c8b642f62fc2 8876 libtag1c2a_1.7-2_amd64.deb
 e7302cf0c1bf7245b6fe66434caa6b7303820ea5dd3a255360d05a2774919e0f 243276 libtag1-vanilla_1.7-2_amd64.deb
 1d65a89c9b5ac2df51fdff213019ff6159d49aa3bac6839d90166097a4e18997 246032 libtag1-rusxmms_1.7-2_amd64.deb
 3e363c1e6e9e029e5b59d75088e2dccde6c7cf6a05781dfc0d15e79bbf76dcd1 80570 libtag1-dev_1.7-2_amd64.deb
 cffd1f169ee77c996cec18aa2e62f539c963c17f50daa8ad369e1acbec65cdd8 5585662 libtag1-doc_1.7-2_all.deb
 729376901081d327670eed533f5566ccfade5c114ce5be0f9f096b779861ef2c 14770 libtagc0_1.7-2_amd64.deb
 c16c3bbc57ef957bbeec7b91bc4452e3e0098585008ba3d3c6cbb65069f4787b 11922 libtagc0-dev_1.7-2_amd64.deb
Files: 
 a79d37eb8dbc36b642bd53121a613241 1603 libs optional taglib_1.7-2.dsc
 70348ff4ff74cd054536c7838b823cfe 28116 libs optional taglib_1.7-2.debian.tar.gz
 7d9797348adc14d9f1ee8d4a23a41de2 8876 libs optional libtag1c2a_1.7-2_amd64.deb
 f2d306c695914f9a6c1550a7942bc6f5 243276 libs optional libtag1-vanilla_1.7-2_amd64.deb
 961456362f9507de41ea077d351cc449 246032 libs optional libtag1-rusxmms_1.7-2_amd64.deb
 d2d8a78d6136bbbaf5dec37051531812 80570 libdevel optional libtag1-dev_1.7-2_amd64.deb
 a8004581356997798694046d6c000378 5585662 doc optional libtag1-doc_1.7-2_all.deb
 3a29322e9be14aa2789f38ff8712d756 14770 libs optional libtagc0_1.7-2_amd64.deb
 d03138c34c81977bd3acbb2ba3040a10 11922 libdevel optional libtagc0-dev_1.7-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk9BVSAACgkQHO9JRnPq4hSEUQCgkge0LAAdZdkPNexKo8ld9Ubr
fYoAoNWEOQgc91tfboqhk5LoiqKxRe0C
=HtKU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 29 Mar 2012 07:34:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:13:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.